Index: trunk/gui/scripts/dropdownlist.tcl
===================================================================
--- trunk/gui/scripts/dropdownlist.tcl	(revision 6716)
+++ trunk/gui/scripts/dropdownlist.tcl	(revision 1)
@@ -1,3 +1,2 @@
-# -*- mode: tcl; indent-tabs-mode: nil -*-
 # ----------------------------------------------------------------------
 #  COMPONENT: dropdownlist - drop-down list of items
@@ -8,8 +7,5 @@
 # ======================================================================
 #  AUTHOR:  Michael McLennan, Purdue University
-#  Copyright (c) 2004-2012  HUBzero Foundation, LLC
-#
-#  See the file "license.terms" for information on usage and
-#  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
+#  Copyright (c) 2004  Purdue Research Foundation, West Lafayette, IN
 # ======================================================================
 package require Itk
@@ -20,5 +16,5 @@
 option add *Dropdownlist.relief flat widgetDefault
 option add *Dropdownlist.font \
-    -*-helvetica-medium-r-normal-*-12-* widgetDefault
+    -*-helvetica-medium-r-normal-*-*-120-* widgetDefault
 
 itcl::class Rappture::Dropdownlist {
@@ -70,5 +66,5 @@
 
     # add bindings so the listbox can react to selections
-    bind RapptureDropdownlist-$this <ButtonRelease-1> [itcl::code $this _react]
+    bind RapptureDropdownlist-$this <ButtonRelease> [itcl::code $this _react]
     bind RapptureDropdownlist-$this <KeyPress-Return> [itcl::code $this _react]
     bind RapptureDropdownlist-$this <KeyPress-space> [itcl::code $this _react]
@@ -139,5 +135,4 @@
     set _values [lreplace $_values $first $last]
     set _labels [lreplace $_labels $first $last]
-    $itk_component(list) delete $first $last
 }
 
@@ -278,5 +273,5 @@
         if {$maxw < [winfo width $widget]} { set maxw [winfo width $widget] }
     }
-    set avg [font measure $fnt "n"]
+    set avg [font measure $fnt "x"]
     $itk_component(list) configure -width [expr {round($maxw/double($avg))+1}]
 
Index: trunk/gui/scripts/editor.tcl
===================================================================
--- trunk/gui/scripts/editor.tcl	(revision 6716)
+++ trunk/gui/scripts/editor.tcl	(revision 1)
@@ -1,3 +1,2 @@
-# -*- mode: tcl; indent-tabs-mode: nil -*-
 # ----------------------------------------------------------------------
 #  COMPONENT: editor - pop-up editor for little bits of text
@@ -28,8 +27,5 @@
 # ======================================================================
 #  AUTHOR:  Michael McLennan, Purdue University
-#  Copyright (c) 2004-2012  HUBzero Foundation, LLC
-#
-#  See the file "license.terms" for information on usage and
-#  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
+#  Copyright (c) 2004  Purdue Research Foundation, West Lafayette, IN
 # ======================================================================
 package require Itk
@@ -59,5 +55,5 @@
     protected variable _loc   ;# array of editor location parameters
 }
-
+                                                                                
 itk::usual Editor {
     keep -cursor -font
@@ -89,6 +85,4 @@
     bind $itk_component(editor) <KeyPress-Return> \
         [itcl::code $this deactivate]
-    bind $itk_component(editor) <KP_Enter> \
-        [itcl::code $this deactivate]
     bind $itk_component(editor) <KeyPress-Escape> \
         [itcl::code $this deactivate -abort]
@@ -96,21 +90,4 @@
         [itcl::code $this _click %X %Y]
 
-    itk_component add emenu {
-        menu $itk_component(editor).menu -tearoff 0
-    } {
-        usual
-        ignore -tearoff
-        ignore -background -foreground
-    }
-    $itk_component(emenu) add command -label "Cut" -accelerator "^X" \
-        -command [list event generate $itk_component(editor) <<Cut>>]
-    $itk_component(emenu) add command -label "Copy" -accelerator "^C" \
-        -command [list event generate $itk_component(editor) <<Copy>>]
-    $itk_component(emenu) add command -label "Paste" -accelerator "^V" \
-        -command [list event generate $itk_component(editor) <<Paste>>]
-    bind $itk_component(editor) <<PopupMenu>> {
-        tk_popup %W.menu %X %Y
-    }
-
     eval itk_initialize $args
 }
@@ -126,7 +103,4 @@
 itcl::body Rappture::Editor::activate {} {
     set e $itk_component(editor)
-    if {[winfo ismapped $e]} {
-        return  ;# already mapped -- nothing to do
-    }
 
     set info ""
@@ -165,5 +139,5 @@
     wm deiconify $itk_component(hull)
     raise $itk_component(hull)
-    focus -force $itk_component(editor)
+    focus $itk_component(editor)
 
     # try to grab the pointer, and keep trying...
@@ -259,8 +233,4 @@
     if {[winfo containing $x $y] != $itk_component(editor)} {
         deactivate
-    } else {
-        # make sure the editor has keyboard focus!
-        # it loses focus sometimes during cut/copy/paste operations
-        focus -force $itk_component(editor)
     }
 }
@@ -286,13 +256,9 @@
     set h [expr {[font metrics $fnt -linespace]+4}]
     set h [expr {($h < $_loc(h)) ? $_loc(h) : $h}]
-    if {$h+$_loc(y) >= [winfo screenheight $e]} {
-        set h [expr {[winfo screenheight $e]-$_loc(y)}]
-    }
-    # Temporary fix to prevent Opps. Don't deal with negative dimensions.
-    if { $w <= 0 || $h <= 0 } {
-        wm geometry $itk_component(hull) "+$_loc(x)+$_loc(y)"
-    } else {
-        wm geometry $itk_component(hull) "${w}x${h}+$_loc(x)+$_loc(y)"
-    }
+    if {$h+$_loc(y) >= [winfo screenwidth $e]} {
+        set h [expr {[winfo screenwidth $e]-$_loc(y)}]
+    }
+
+    wm geometry $itk_component(hull) "${w}x${h}+$_loc(x)+$_loc(y)"
 }
 
